(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.enUS = mod.exports;
  }
})(this, function (exports) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = {
    md: {
      result_page: {
        networkError: 'Network error',
        noInformation: 'No data available',
        lostWay: 'Page not found'
      },
      date_picker: {
        month: 'Month',
        minute: 'Minute',
        hour: 'Hour',
        day: 'Day',
        second: 'Second',
        year: 'Year'
      },
      cashier: {
        payCash: 'Amount',
        payFail: 'Error. Try again later',
        payResultSearch: 'Processing...',
        morePayWays: 'Other payment method',
        confirm: 'OK',
        confirmPay: 'Confirm and Pay',
        pay: 'Pay',
        paySuccess: 'Payment successful'
      },
      scroll_view: {
        refresh: {
          freedRefresh: 'Release',
          pullDownRefresh: 'Pull down',
          refreshing: 'Refreshing...'
        },
        more: {
          loading: 'Loading more...',
          allLoaded: 'All loaded'
        }
      },
      captcha: {
        sendCaptcha: 'Send Code',
        countdown: 'Resend in {$1}s'
      },
      tab_picker: {
        choose: 'Select'
      },
      dialog: {
        confirm: 'OK',
        cancel: 'Cancel'
      },
      action_sheet: {
        cancel: 'Cancel'
      },
      selector: {
        cancel: 'Cancel'
      },
      number_keyboard: {
        confirm: 'OK'
      },
      picker: {
        cancel: 'Cancel',
        confirm: 'Confirm'
      }
    }
  };
});