;(function(){
(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', './mixed-key-board', './short-cut-row', '../_style/global.css', './style/index.css'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('./mixed-key-board'), require('./short-cut-row'), require('../_style/global.css'), require('./style/index.css'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.mixedKeyBoard, global.shortCutRow, global.global, global.index);
    global.index = mod.exports;
  }
})(this, function (exports, _mixedKeyBoard, _shortCutRow) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _mixedKeyBoard2 = _interopRequireDefault(_mixedKeyBoard);

  var _shortCutRow2 = _interopRequireDefault(_shortCutRow);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var _components;

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  exports.default = {
    name: 'md-license-plate-keyboard',

    components: (_components = {}, _defineProperty(_components, _mixedKeyBoard2.default.name, _mixedKeyBoard2.default), _defineProperty(_components, _shortCutRow2.default.name, _shortCutRow2.default), _components),

    props: {
      keyboard: {
        type: Object,
        default: {}
      }
    },

    data: function data() {
      return {};
    },


    computed: {
      shortcuts: function shortcuts() {
        return this.keyboard.shortcuts || [];
      },
      keyboardType: function keyboardType() {
        return this.keyboard.keyboardType || 1;
      },
      mixedKeyboard: function mixedKeyboard() {
        return this.keyboard.mixedKeyboard || [];
      }
    },

    methods: {
      $_onEnter: function $_onEnter(value) {
        this.$emit('enter', value);
      },
      $_onDelete: function $_onDelete() {
        this.$emit('delete');
      },
      $_onConfirm: function $_onConfirm() {
        this.$emit('confirm');
      }
    }
  };
});
})()
if (module.exports.__esModule) module.exports = module.exports.default
var __vue__options__ = (typeof module.exports === "function"? module.exports.options: module.exports)
__vue__options__.render = function render () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-license-plate-keyboard"},[(_vm.keyboardType === 1)?_c('div',[_c('md-shortcut-row',{attrs:{"shortcuts":_vm.shortcuts},on:{"enter":_vm.$_onEnter}})],1):_c('div',[_c('md-mixed-key-board',{attrs:{"mixedKeyboard":_vm.mixedKeyboard},on:{"enter":_vm.$_onEnter,"delete":_vm.$_onDelete,"confirm":_vm.$_onConfirm}})],1)])}
__vue__options__.staticRenderFns = []
