(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.defaultSvgList = mod.exports;
  }
})(this, function (exports) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var checked = '<svg class="icon" viewBox="0 0 1024 1024"><path d="M496 96C248.576 96 48 296.576 48 544s200.576 448 448 448 448-200.576 448-448S743.424 96 496 96z m-6.624 587.648l-45.248 45.248-45.248-45.248-167.776-167.76 45.248-45.248L444.112 638.4l287.536-287.536 45.248 45.248-287.52 287.536z"  /></svg>';
  var cross = '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m248.912 651.664l-45.248 45.248L512 557.248 308.352 760.912l-45.248-45.248L466.752 512 263.104 308.352l45.248-45.248L512 466.752l203.648-203.648 45.248 45.248L557.248 512l203.664 203.664z"  /></svg>';
  exports.default = {
    spinner: '<svg class="spinner" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" style="background:0 0"><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.9166666666666666s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(30 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.8333333333333334s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(60 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.75s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(90 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.6666666666666666s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(120 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.5833333333333334s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(150 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.5s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(180 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.4166666666666667s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(210 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.3333333333333333s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(240 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.25s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(270 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.16666666666666666s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(300 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="-0.08333333333333333s" repeatCount="indefinite"/></rect><rect x="46.5" y="15.5" rx="12.09" ry="4.03" width="7" height="17" fill="#eee" transform="rotate(330 50 50)"><animate attributeName="opacity" values="1;0" dur="1s" begin="0s" repeatCount="indefinite"/></rect></svg>',
    ring: '<svg class="ring" viewBox="0 0 100 100" class="center">\n      <defs>\n        <linearGradient x1="0" y1="0" x2="1" y2="0" id="ring-a">\n          <stop offset="10%" stop-color="#eee" stop-opacity="0"/>\n          <stop offset="100%" stop-color="#eee"/>\n        </linearGradient>\n        <linearGradient x1="0" y1="0" x2="1" y2="0" id="ring-b">\n          <stop offset="0%" stop-color="#eee"/>\n          <stop offset="100%" stop-color="#eee" stop-opacity=".1"/>\n        </linearGradient>\n      </defs>\n      <g stroke-width="14" fill="none">\n        <circle cx="50" cy="50" r="40" stroke="url(#ring-a)" stroke-dasharray="90 0">\n          <animateTransform attributeName="transform" type="rotate" repeatCount="indefinite" dur="1s" values="0 50 50;180 50 50;360 50 50" keyTimes="0;0.5;1"/>\n        </circle>\n        <circle cx="50" cy="50" r="40" stroke-linecap="round" stroke="url(#ring-b)" stroke-dasharray="98 189">\n          <animateTransform attributeName="transform" type="rotate" repeatCount="indefinite" dur="1s" values="0 50 50;180 50 50;360 50 50" keyTimes="0;0.5;1"/>\n        </circle>\n      </g>\n    </svg>',
    'warn-color': '<svg class="warn" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" style="background:0 0"><g fill="none" fill-rule="evenodd"><path d="M50.001 100C22.385 100 0 77.615 0 50.001 0 22.385 22.385 0 50.001 0 77.615 0 100 22.385 100 50.001 100 77.615 77.615 100 50.001 100z" fill="#F3F4F5"/><path d="M45.44 22h10.118l-1.821 34.217h-6.78L45.44 22zm9.646 45.366C56.36 68.575 57 70.036 57 71.758c0 1.943-.645 3.47-1.936 4.577-1.293 1.11-2.8 1.665-4.52 1.665-1.75 0-3.278-.547-4.584-1.644C44.654 75.26 44 73.728 44 71.758c0-1.721.626-3.183 1.873-4.392 1.248-1.205 2.776-1.809 4.585-1.809 1.806 0 3.35.604 4.628 1.809z" fill="#666F83"/></g></svg>',
    'success-color': '<svg class="success" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" style="background:0 0"><defs><linearGradient x1="85.237%" y1="96.954%" x2="22.272%" y2="5.057%" id="a"><stop stop-color="#F3F4F5" offset="0%"/><stop stop-color="#F9FAFB" offset="100%"/></linearGradient></defs><g fill="none" fill-rule="evenodd"><path d="M50.001 100C22.385 100 0 77.615 0 50.001 0 22.385 22.385 0 50.001 0 77.615 0 100 22.385 100 50.001 100 77.615 77.615 100 50.001 100z" fill="url(#a)"/><path fill="#666F83" d="M41.662 61.51L28.137 47.849 22 54.045 41.754 74l6.135-6.197L78 37.197 71.865 31z"/></g></svg>',
    'fail-color': '<svg class="fail" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" style="background:0 0"><defs><linearGradient x1="85.237%" y1="96.954%" x2="22.272%" y2="5.057%" id="a"><stop stop-color="#F3F4F5" offset="0%"/><stop stop-color="#F9FAFB" offset="100%"/></linearGradient></defs><g fill="none" fill-rule="evenodd"><path d="M50.001 100C22.385 100 0 77.615 0 50.001 0 22.385 22.385 0 50.001 0 77.615 0 100 22.385 100 50.001 100 77.615 77.615 100 50.001 100z" fill="url(#a)"/><path d="M72.225 32.627l-16.97 16.97 16.97 16.972-5.656 5.656-16.972-16.97-16.97 16.97-5.656-5.656 16.97-16.972-16.97-16.97 5.656-5.656 16.97 16.97L66.57 26.97l5.656 5.656z" fill="#666F83"/></g></svg>',
    'square-check': '<svg class="icon" viewBox="0 0 1024 1024" ><path d="M750.933333 0a273.066667 273.066667 0 0 1 273.066667 273.066667v477.866666a273.066667 273.066667 0 0 1-273.066667 273.066667H273.066667a273.066667 273.066667 0 0 1-273.066667-273.066667V273.066667a273.066667 273.066667 0 0 1 273.066667-273.066667h477.866666z m0 68.266667H273.066667a204.8 204.8 0 0 0-204.663467 197.12L68.266667 273.066667v477.866666a204.8 204.8 0 0 0 197.12 204.663467L273.066667 955.733333h477.866666a204.8 204.8 0 0 0 204.663467-197.12L955.733333 750.933333V273.066667a204.8 204.8 0 0 0-197.12-204.663467L750.933333 68.266667z" /></svg>',
    'square-checked': '<svg class="icon" viewBox="0 0 1024 1024" ><path d="M750.933333 0a273.066667 273.066667 0 0 1 273.066667 273.066667v477.866666a273.066667 273.066667 0 0 1-273.066667 273.066667H273.066667a273.066667 273.066667 0 0 1-273.066667-273.066667V273.066667a273.066667 273.066667 0 0 1 273.066667-273.066667h477.866666z m-37.307733 326.929067l-253.44 253.44-132.744533-132.744534-72.3968 72.3968 205.141333 205.141334 325.8368-325.802667-72.3968-72.430933z" /></svg>',
    'check': '<svg class="icon" viewBox="0 0 1024 1024" ><path d="M512 128c211.744 0 384 172.256 384 384S723.744 896 512 896 128 723.744 128 512 300.256 128 512 128m0-64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z"  /></svg>',
    'checked': checked,
    'success': checked,
    'close': '<svg class="icon"  viewBox="0 0 1024 1024"><path d="M278.179404 205.671489l246.500766 246.478979L771.159149 205.649702a43.574468 43.574468 0 0 1 58.847319-2.527319l2.788766 2.527319a43.574468 43.574468 0 0 1 0 61.636085L586.294468 513.786553l246.478979 246.478979a43.574468 43.574468 0 1 1-61.636085 61.636085L524.68017 575.400851 278.179404 821.901617a43.574468 43.574468 0 0 1-58.847319 2.527319l-2.788766-2.527319a43.574468 43.574468 0 0 1 0-61.636085l246.500766-246.478979L216.543319 267.285787a43.574468 43.574468 0 0 1 61.636085-61.636085z"/></svg>',
    'info': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m0 832C300.256 896 128 723.744 128 512S300.256 128 512 128s384 172.256 384 384-172.256 384-384 384z"  /><path d="M544 384h-64v381.056h64V384zM544 256h-64v64h64v-64z"  /></svg>',
    'question': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m0 832C300.256 896 128 723.744 128 512S300.256 128 512 128s384 172.256 384 384-172.256 384-384 384z"  /><path d="M471.776 696.64h64v64h-64zM530.416 256.352c-100.432-4.912-159.888 42.656-178.416 142.672l67.2 17.216c13.904-65.568 47.872-98.4 101.952-98.4 44.784 3.312 77.328 31.504 81.952 77.392 1.52 32.832-27.136 62-70.384 94.784-41.712 29.52-61.792 68.064-60.24 115.616v24.592h62.56v-19.68c-1.552-34.432 15.424-63.952 50.976-88.56 60.256-39.36 88.816-85.248 85.744-137.76-9.248-80.288-56.384-122.96-141.344-127.872z"  /></svg>',
    'wrong': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M854.624 214.624l-45.248-45.248L512 466.752 214.624 169.376l-45.248 45.248L466.752 512 169.376 809.376l45.248 45.248L512 557.248l297.376 297.376 45.248-45.248L557.248 512z"  /></svg>',
    'clear': cross,
    'fail': cross,
    'security': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M514.656 64h-5.328C408.416 160.816 275.52 224.432 128 237.392L144 608c0 80 80 176 128 224s171.232 128 240 128c80 0 192-80 240-128s128-144 128-224l16-370.608C748.48 224.432 615.584 160.816 514.656 64z m-39.024 649.872L241.824 495.408l43.696-46.768 46.768 43.696 140.288 131.088 219.152-234.544 43.696-46.768 46.768 43.696-306.56 328.064z"  /></svg>',
    'rmb': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M832.96 96h-77.36L512 455.008 268.384 96H191.04l260.576 384H192v64h288v128H192v64h288v192h64V736h288v-64H544v-128h288v-64H572.384z"  /></svg>',
    'service': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M864 384c-11.216 0-21.968 2.048-32 5.632V384c0-176-144-320-320-320s-320 144-320 320v5.632A94.912 94.912 0 0 0 160 384c-52.8 0-96 43.2-96 96v128c0 52.8 43.2 96 96 96h42.592c28.368 108.976 112.848 195.744 220.608 227.12 9.536 17.104 27.584 28.88 48.464 28.88h80.688C582.96 960 608 934.96 608 904.336s-25.04-55.664-55.664-55.664h-80.688a55.312 55.312 0 0 0-40.64 17.968C329.472 832.672 256 736.832 256 624V384c0-141.152 114.848-256 256-256s256 114.848 256 256v240c0 5.408-0.48 10.688-0.816 16H768v60.256c0 2.064 1.68 3.744 3.744 3.744H864c52.8 0 96-43.2 96-96v-128c0-52.8-43.2-96-96-96zM192 640h-32c-17.344 0-32-14.656-32-32v-128c0-17.344 14.656-32 32-32s32 14.656 32 32v160z m704-32c0 17.344-14.656 32-32 32h-32V480c0-17.344 14.656-32 32-32s32 14.656 32 32v128z"  /></svg>',
    'visible': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M513.44 192C328.64 192 162.544 340.08 64 512c98.544 171.92 264.64 320 449.44 320S861.44 683.92 960 512c-98.544-171.92-261.76-320-446.56-320z m0 576c-104.96 0-255.696-68-374.752-256 119.04-188 269.792-256 374.752-256 154 0 289.168 126.928 371.744 256-82.576 129.072-217.744 256-371.744 256z"  /><path d="M592 512a80 80 0 0 1-80-80 79.92 79.92 0 0 1 47.312-72.88A159.808 159.808 0 0 0 512 352c-88.368 0-160 71.632-160 160s71.632 160 160 160 160-71.632 160-160c0-16.48-2.496-32.368-7.12-47.312A79.92 79.92 0 0 1 592 512z"  /></svg>',
    'invisible': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M954.384 605.616l-103.344-103.888c46.656-60.016 71.088-112.528 73.936-117.376l-55.152-32.448c-1.52 2.56-121.44 272.224-356.416 272.224-234.256 0-354.928-269.68-356.432-272.256l-55.136 32.48c2.816 4.8 26.816 56.432 72.688 115.808l-104.912 105.472 45.376 45.136 101.312-101.856c27.424 28.864 59.808 57.04 97.296 80.464l-65.168 130.32 57.248 28.624 64.688-129.376a364.88 364.88 0 0 0 111.024 27.664v145.536h64v-145.536a364.736 364.736 0 0 0 108.72-26.64l64.176 128.368 57.248-28.624-64.48-128.944c37.776-23.28 70.4-51.488 98.064-80.384l99.872 100.416 45.392-45.184z" /></svg>',
    'arrow-down': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 653.248l-327.76-327.76-45.264-45.248-45.248 45.248L512 743.76l418.272-418.272-45.248-45.248-45.264 45.248z"  /></svg>',
    'arrow-left': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M370.752 512l327.76-327.76 45.248-45.264-45.248-45.248L280.24 512l418.272 418.272 45.248-45.248-45.248-45.264z"  /></svg>',
    'arrow-right': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M653.248 512l-327.76 327.76-45.248 45.264 45.248 45.248L743.76 512 325.488 93.728l-45.248 45.248 45.248 45.264z"  /></svg>',
    'arrow-up': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 370.752l327.76 327.76 45.264 45.248 45.248-45.248L512 280.24 93.728 698.512l45.248 45.248 45.264-45.248z"  /></svg>',
    'arrow': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M728.45617 476.682894a65.361702 65.361702 0 0 1 2.636256 89.63268l-2.636256 2.788766-261.882553 261.904341a43.574468 43.574468 0 0 1-63.836596-59.23949l2.178724-2.396595L651.438298 522.893617 404.937532 276.392851a43.574468 43.574468 0 0 1-2.222298-59.239489l2.222298-2.396596a43.574468 43.574468 0 0 1 59.239489-2.178723l2.396596 2.178723 261.882553 261.926128z" /></svg>',
    'edit': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M864 512.016v351.968H160V160.016h352v-64H96v831.968h832V512.016z"  /><path d="M417.376 561.392l448-448 45.248 45.248-448 448z"  /></svg>',
    'rectangle': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M164.47501844 528.04517446v-277.9024226a128.36139574 128.36139574 0 0 1 192.54209363-111.16096934l240.67761701 138.95121202 240.67761703 138.95121058a128.36139574 128.36139574 0 0 1 0 222.32193869l-240.67761703 138.95121057-240.67761701 138.95121205a128.36139574 128.36139574 0 0 1-192.54209363-111.16096933V528.04517446z" /></svg>',
    'refresh': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M857.66647744 90.125c0 40.2954549 34.81363669 212.37443179 56.76136387 256.25454538l-53.60113696 26.81590924a168.89318206 168.89318206 0 0 1-5.87556766-13.39772745l-0.14829566-0.01022717C797.87272717 236.15000027 672.88522744 150.05681794 528.0772731 150.05681794c-198.26590925 0-359.55511331 161.28409131-359.55511413 359.55000054s161.2892049 359.55511331 359.55511413 359.55511331c144.80795435 0 269.7954549-86.09829511 326.72556793-209.74090923h0.22500028l53.46818124 26.72897744c-66.66647717 143.41704565-211.85284103 242.93352255-380.41874945 242.93352255-231.67329565 0-419.48181848-187.80340924-419.48181848-419.47159049C108.59545462 277.92840925 296.40909103 90.125 528.0772731 90.125c110.53125 0 210.9375 42.82159131 285.75511303 112.74034076-9.55227255-48.28806794-16.09261387-92.49034076-16.09261303-112.74034076h59.92670434z" /></svg>',
    'right': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M814.25265209 273.43036871a49.57806137 49.57806137 0 1 1 70.10337906 70.10337792L453.91930141 774.02005504a49.80116253 49.80116253 0 0 1-44.0748965 22.26054941 49.50369394 49.50369394 0 0 1-39.9103397-21.9135033l-202.8486383-202.89821696a49.57806137 49.57806137 0 1 1 70.10337792-70.10337792l174.53956552 174.53956438z" /></svg>',
    'setting': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M944 384l-92.256-12.72 56.24-74.24L726.96 116.016l-74.24 56.24L640 80H384l-12.72 92.256-74.24-56.24L116.016 297.04l56.24 74.24L80 384v256l92.256 12.72-56.24 74.24 181.024 181.024 74.24-56.24L384 944h256l12.72-92.256 74.24 56.24 181.024-181.024-56.24-74.24L944 640V384z m-64 200.224l-37.008 5.104-108.256 14.928 66 87.12 22.56 29.776-102.128 102.144-29.776-22.56-87.12-66-14.928 108.272-5.12 36.992h-144.448l-5.104-37.008-14.928-108.272-87.12 66-29.776 22.56-102.128-102.144 22.56-29.776 66-87.12-108.256-14.928L144 584.224v-144.448l37.008-5.104 108.272-14.928-66-87.12-22.56-29.776 102.128-102.144 29.776 22.56 87.12 66 14.928-108.256L439.776 144h144.448l5.104 37.008 14.928 108.256 87.12-66 29.776-22.56 102.128 102.144-22.56 29.776-66 87.12 108.256 14.928 37.024 5.104v144.448z"  /><path d="M512 352c-88.368 0-160 71.632-160 160s71.632 160 160 160 160-71.632 160-160-71.632-160-160-160z m0 256c-52.928 0-96-43.072-96-96s43.072-96 96-96 96 43.072 96 96-43.072 96-96 96z"  /></svg>',
    'sort': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M251.312 818.752l-105.376-105.376-45.248 45.248L270.064 928h45.248V96h-64zM411.312 192h512v64h-512zM411.312 480h384v64h-384zM411.312 768h256v64h-256z"  /></svg>',
    'address-book': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M176 432h64v192h-64zM112 336h192v64H112zM112 656h192v64H112z"  /><path d="M688 112H176v192h64v-128h384v704H240v-128h-64v192h704V112H688z m128 768h-128V176h128v704z"  /></svg>',
    'authentication': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M144 144h128V80H80v192h64zM144 752H80v192h192v-64H144zM752 80v64h128v128h64V80zM880 880h-128v64h192V752h-64zM224 635.312V800h576V635.312l-170.912-110.8C655.6 495.92 672 457.824 672 416v-64c0-88-72-160-160-160s-160 72-160 160v64c0 41.824 16.4 79.92 42.912 108.512L224 635.312zM736 736H288v-66.768L433.872 576h156.24L736 669.232V736zM416 352c0-52.928 43.072-96 96-96s96 43.072 96 96v64c0 52.928-43.072 96-96 96s-96-43.072-96-96v-64z"  /></svg>',
    'back': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M416 96v66.56h445.44v698.88H162.56V377.184l165.44 165.44 45.248-45.248L163.872 288H96v640h832V96z"  /></svg>',
    'balance': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M896 224v576H128V224h768m64-64H64v704h896V160z"  /><path d="M592 640h224v64H592z"  /></svg>',
    'calendar': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M384 192h256v64H384zM672 128h64v192h-64zM288 128h64v192h-64z"  /><path d="M768 192v64h96v576H160V256h96.016v-64H96v704h832V192z"  /><path d="M288 448h64v64h-64zM288 640h64v64h-64zM480 448h64v64h-64zM480 640h64v64h-64zM672 448h64v64h-64zM672 640h64v64h-64z"  /></svg>',
    'camera': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 352c-106.032 0-192 85.968-192 192s85.968 192 192 192 192-85.968 192-192-85.968-192-192-192z m0 320c-70.576 0-128-57.424-128-128s57.424-128 128-128 128 57.424 128 128-57.424 128-128 128z"  /><path d="M736 240V128H288v112H64v656h896V240H736z m160 592H128V304h224v-112h320v112h224v528z"  /></svg>',
    'card-bag': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M96 96v832h832V96H96z m768 768H160V608h179.712c26.08 69.952 93.36 120 172.288 120 78.928 0 146.208-50.048 172.288-120H864v256z m0-320H632a119.12 119.12 0 0 1-18.672 64c-21.296 33.584-58.704 56-101.328 56s-80.048-22.416-101.328-56a119.12 119.12 0 0 1-18.672-64H160V384h704v160z m0-224H160V160h704v160z"  /></svg>',
    'check-disabled': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M528 64C280.576 64 80 264.576 80 512s200.576 448 448 448 448-200.576 448-448S775.424 64 528 64z m384 448c0 96.032-35.52 183.872-94 251.28l-541.28-541.28C344.128 163.52 431.968 128 528 128c211.744 0 384 172.256 384 384zM144 512a382.176 382.176 0 0 1 87.936-244.272l540.336 540.336A382.176 382.176 0 0 1 528 896C316.256 896 144 723.744 144 512z"  /></svg>',
    'clock': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M868.208 398.576c-2.096-5.184-4.576-10.144-6.88-15.216C901.568 354.336 928 307.408 928 254c0-88.368-71.632-160-160-160-60.032 0-111.872 33.36-139.232 82.288a382.144 382.144 0 0 0-233.536 0C367.872 127.36 316.032 94 256 94c-88.368 0-160 71.632-160 160 0 53.408 26.432 100.32 66.672 129.344-2.304 5.072-4.784 10.032-6.88 15.216A383.12 383.12 0 0 0 128 542a382.528 382.528 0 0 0 97.216 255.264l-74.208 92.752 49.968 39.968 70.8-88.496c65.776 52.832 149.28 84.512 240.224 84.512s174.432-31.68 240.224-84.512l70.8 88.496 49.968-39.968-74.208-92.752A382.464 382.464 0 0 0 896 542c0-50.72-9.936-99.088-27.792-143.424zM768 158c52.928 0 96 43.072 96 96a95.616 95.616 0 0 1-33.936 73.056 385.888 385.888 0 0 0-117.472-112.528 379.584 379.584 0 0 0-24.352-13.552A95.776 95.776 0 0 1 768 158z m-512 0a95.776 95.776 0 0 1 79.76 42.976c-8.272 4.272-16.448 8.704-24.352 13.552a385.712 385.712 0 0 0-117.472 112.528A95.552 95.552 0 0 1 160 254c0-52.928 43.072-96 96-96z m502.032 588.336a322.304 322.304 0 0 1-45.936 45.008c-54.848 44.112-124.4 70.672-200.096 70.672s-145.248-26.56-200.096-70.672a323.168 323.168 0 0 1-45.936-45.008A318.528 318.528 0 0 1 192 542c0-45.616 9.744-88.944 27.024-128.256a320.464 320.464 0 0 1 43.76-72 322.688 322.688 0 0 1 48.96-48.96 320.464 320.464 0 0 1 72-43.76 317.856 317.856 0 0 1 256.512 0 320.464 320.464 0 0 1 72 43.76 322.688 322.688 0 0 1 48.96 48.96 320.464 320.464 0 0 1 43.76 72A317.92 317.92 0 0 1 832 542c0 77.632-27.824 148.864-73.968 204.336z"  /><path d="M480 542h-96v64h160v-256h-64z"  /></svg>',
    'coupon': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M64 162.752v239.088c23.792 0 45.84 7.52 64 20.224 28.976 20.272 48 53.824 48 91.776s-19.024 71.52-48 91.776a111.296 111.296 0 0 1-64 20.224v235.424h896V625.824a111.296 111.296 0 0 1-64-20.224c-28.976-20.272-48-53.824-48-91.776s19.024-71.52 48-91.776a111.296 111.296 0 0 1 64-20.224V162.752H64z m720 351.072c0 74.592 46.48 138.192 112 163.824v119.6H128v-119.6c65.52-25.616 112-89.216 112-163.824s-46.48-138.192-112-163.824v-123.264h768v123.264c-65.52 25.632-112 89.232-112 163.824z"  /><path d="M352 385.824h64v256h-64z"  /></svg>',
    'delete': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M672 224V96H352v128H128v64h768v-64H672z m-256 0v-64h192v64H416zM768 864H256V320h-64v608h640V320h-64z"  /><path d="M384 416h64v320h-64zM576 416h64v320h-64z"  /></svg>',
    'discovery': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m0 832C300.256 896 128 723.744 128 512S300.256 128 512 128s384 172.256 384 384-172.256 384-384 384z"  /><path d="M320 704l256-128 128-256-256 128z"  /></svg>',
    'filter': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M928 94.224H96l320 421.2v286.368l192 128V515.424L928 94.224zM544 641.776v168.416l-64-42.672V493.856L224.992 158.224h574L544 493.872v147.904z"  /></svg>',
    'home': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M864 449.376l-34.752-34.752L512 97.376 194.752 414.624 160 449.376l-93.248 93.248h90.496l2.752-2.752v386.752h704V539.872l2.752 2.752h90.496L864 449.376z m-64 413.248H224V475.888l288-288 288 288v386.736z"  /></svg>',
    'id-card': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M64 160v704h896V160H64z m832 640H128V224h768v576z"  /><path d="M352 608a128 128 0 1 0 0-256 128 128 0 0 0 0 256z m0-192c35.296 0 64 28.704 64 64s-28.704 64-64 64-64-28.704-64-64 28.704-64 64-64zM576 384h224v64H576zM576 576h160v64H576z"  /></svg>',
    'info-solid': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m0 832C300.256 896 128 723.744 128 512S300.256 128 512 128s384 172.256 384 384-172.256 384-384 384z"  /><path d="M544 384h-64v381.056h64V384zM544 256h-64v64h64v-64z"  /></svg>',
    'location': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C308.752 64 144 228.752 144 432c0 27.488 3.008 54.272 8.736 80.048C189.28 676.8 512 960 512 960s322.752-283.232 359.28-448c5.712-25.76 8.72-52.528 8.72-80C880 228.752 715.248 64 512 64z m296.8 434.144C788.112 591.44 630.224 763.344 512 873.632c-118.208-110.272-276.096-282.16-296.784-375.44A306.4 306.4 0 0 1 208 432c0-167.632 136.368-304 304-304s304 136.368 304 304c0 22.336-2.416 44.592-7.2 66.144z"  /><path d="M512 288a144 144 0 0 0-144 144c0 79.536 64.464 144 144 144s144-64.464 144-144a144 144 0 0 0-144-144z m0 224c-44.112 0-80-35.888-80-80s35.888-80 80-80 80 35.888 80 80-35.888 80-80 80z"  /></svg>',
    'message': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M418.224 735.376h-75.872l123.744 194.464h75.872zM288.768 417.84h448v64h-448z"  /><path d="M64.768 97.792v702.416L416 798.784v-64l-287.232 1.168V161.536l766.464-3.12v574.416L608 734v64l351.232-1.424V94.16z"  /></svg>',
    'mobile-phone': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M160 64.592v894.816h704V64.592H160z m640 830.816H224V128.592h576v766.816z"  /><path d="M384 752.592h256v64H384z"  /></svg>',
    'motor-vehicle': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m0 64c138.656 0 260.352 73.872 327.872 184.32l-194.08 112.048C617.2 380.816 568 352 512 352s-105.2 28.816-133.792 72.368l-194.08-112.048C251.648 201.872 373.344 128 512 128z m0 480c-52.928 0-96-43.072-96-96s43.072-96 96-96 96 43.072 96 96-43.072 96-96 96zM128 512c0-50.272 9.808-98.288 27.456-142.336l199.056 114.928A161.216 161.216 0 0 0 352 512c0 77.408 54.976 141.952 128 156.784V894.56C283.184 878.24 128 712.96 128 512z m416 382.56V668.784c73.024-14.832 128-79.376 128-156.784 0-9.36-0.976-18.48-2.512-27.408l199.056-114.928A381.856 381.856 0 0 1 896 512c0 200.96-155.184 366.24-352 382.56z"  /></svg>',
    'order': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M128 64.592v894.816h768V64.592H128z m704 830.816H192V128.592h640v766.816z"  /><path d="M256 208.592h256v64H256z"  /></svg>',
    'phone': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M722.24 549.008c-44.4 48.896-85.2 68.768-123.232 68.768-45.168 0-86.4-28.032-124.992-68.736-99.088-104.48-92.736-164.112-3.6-255.968-45.92-44.576-194.672-189.28-194.672-189.28S97.12 176 97.12 320c0 105.648 101.312 232.032 237.76 367.088 130.24 128.912 266.192 233.12 391.152 233.12 136.848 0 200.848-185.12 200.848-185.12l-204.64-186.08z m3.808 307.216c-87.008 0-200.24-70.192-346.128-214.608C325.792 588.048 161.12 425.056 161.12 320c0-66.08 61.776-113.84 102.912-138.336l118.88 115.6c-72.192 99.2-57.392 188.192 44.672 295.808 56.608 59.68 112.672 88.688 171.424 88.688 42.272 0 83.648-15.424 123.552-45.952l126.912 115.408c-22.048 42.144-64.784 105.008-123.424 105.008z"  /></svg>',
    'profession': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M672 256V128H352v128H64v640h896V256H672z m-256-64h192v64H416v-64z m480 640H128V320h768v512z"  /><path d="M352 544h320v64H352z"  /></svg>',
    'scan': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M96 96v320h64V160h704v256h64V96zM864 864H160V608H96v320h832V608h-64zM256 480h512v64H256z"  /></svg>',
    'search': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M934.624 905.376L774 744.752C839.632 675.856 880 582.672 880 480 880 267.92 708.08 96 496 96S112 267.92 112 480s171.92 384 384 384a382.24 382.24 0 0 0 230.144-76.592l163.232 163.232 45.248-45.264zM176 480c0-176.448 143.552-320 320-320s320 143.552 320 320-143.552 320-320 320-320-143.552-320-320z"  /></svg>',
    'share': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M863.632 864.736h-704V159.264h352.736v-64H95.632v833.472h832V512h-64z"  /><path d="M704.368 96v64h114.752L425.744 553.376l45.248 45.248L928.368 141.248V96z"  /><path d="M640 96h64.368v64H640z"  /></svg>',
    'switch': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m0 832C300.256 896 128 723.744 128 512S300.256 128 512 128s384 172.256 384 384-172.256 384-384 384z"  /><path d="M588.016 344.992L676.784 416H256v64h512v-72.976l-140.016-112.016zM256 616.976l140.016 112.016 39.968-49.984L347.216 608H768v-64H256z"  /></svg>',
    'time': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m0 832C300.256 896 128 723.744 128 512S300.256 128 512 128s384 172.256 384 384-172.256 384-384 384z"  /><path d="M512 288h-64v288h288v-64H512z"  /></svg>',
    'user': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 784c194.4 0 352-157.6 352-352S706.4 80 512 80s-352 157.6-352 352 157.6 352 352 352z m0-640c158.8 0 288 129.2 288 288s-129.2 288-288 288-288-129.2-288-288S353.2 144 512 144zM128 880h768v64H128z"  /></svg>',
    'volumn': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M376.448 320H160v384h216.448L864 947.776V76.224L376.448 320zM800 844.208L391.552 640H224V384h167.552L800 179.776v664.432z"  /><path d="M320 448h64v128h-64z"  /></svg>',
    'wait': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 46.68993894C768.97951449 46.68993894 977.31006106 255.02048551 977.31006106 512S768.97951449 977.31006106 512 977.31006106 46.68993894 768.97951449 46.68993894 512 255.02048551 46.68993894 512 46.68993894zM335.50308084 463.8644766h-96.27104681v96.2710468h96.27104681v-96.2710468z m224.63244256 0h-96.2710468v96.2710468h96.2710468v-96.2710468z m224.63244257 0h-96.27104681v96.2710468h96.27104681v-96.2710468z" /></svg>',
    'warn': '<svg class="icon" viewBox="0 0 1024 1024"><path d="M512 64C264.576 64 64 264.576 64 512s200.576 448 448 448 448-200.576 448-448S759.424 64 512 64z m32 701.056h-64V384h64v381.056zM544 320h-64v-64h64v64z"  /></svg>'
  };
});